state.sizes {bsts} | R Documentation

## Compute state dimensions

### Description

Returns a vector containing the size of each state component (i.e. the state dimension) in the state vector.

### Usage

      StateSizes(state.specification)

### Arguments

`state.specification` | A list containing state specification components, such as would be passed to `bsts`.

### Value

A numeric vector giving the dimension of each state component.

### Author(s)

Steven L. Scott steve.the.bayesian@gmail.com

### Examples

        y <- rnorm(1000)
        state.specification <- AddLocalLinearTrend(list(), y)
        state.specification <- AddSeasonal(state.specification, y, 7)
        StateSizes(state.specification)

[Package bsts version 0.9.1 Index]